System Requirements

To use Tourweaver, you need:

Minimized requirements for hardware

Operation System

Browser

To view virtual tour in Flash viewer, you need:

Minimized requirements for hardware

Operation Systemx

Browser

NoteNote: To run virtual tour in Flash viewer, Adobe Flash Player 9.0.28 or later version is needed. It should be noticed that the flash player installation package for Windows and Mac OSX are different.If you want to view HTML5 format please view by Safari browser.

Did you find this helpful?            
   
United States - English Choose View